#include <DFRobot_DHT20.h>
#include <Wire.h>
/*!
 * @brief Construct the function
 * @param pWire IC bus pointer object and construction device, can both pass or not pass parameters, Wire in default.
 * @param address Chip IIC address, 0x38 in default.
 */
DFRobot_DHT20 dht20;
void setup(){


 Serial1.begin(9600, SERIAL_8N1);
 Serial.begin(9600);
 while(dht20.begin()){
    Serial.println("Initialize sensor failed");
    delay(1000);
  
}
}

void loop(){
  //Get ambient temperature
 float temperatureC = dht20.getTemperature();

  // Convert Celsius to Fahrenheit
float temperatureF = (temperatureC * 1.8) + 32;
float humidity = dht20.getHumidity();

 Serial1.write(temperatureF);
 delay(500);

 Serial.println(temperatureF);
 delay(500);
  
 
}
