#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define SCREEN_WIDTH 128 // OLED display width,  in pixels
#define SCREEN_HEIGHT 64 // OLED display height, in pixels

// declare an SSD1306 display object connected to I2C
Adafruit_SSD1306 oled(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

void setup() {
   Serial1.begin(9600, SERIAL_8N1);
   Serial.begin(9600);
   if (!oled.begin(SSD1306_SWITCHCAPVCC, 0x3C)) {
    Serial.println(F("SSD1306 allocation failed"));
    while (true);
  }
      // show on OLED
}

void loop() {

  if (Serial1.available()) {     // If anything comes in Serial1 (pins 0 & 1)
    float serial1_In = Serial1.read();
  Serial.println(serial1_In);
  Serial.print("Hello!");
  // clear display
oled.clearDisplay();
  oled.setTextSize(1);          // text size
  oled.setTextColor(WHITE);     // text color
  oled.setCursor(0, 10);        // position to display
  oled.println(serial1_In); // text to display
  oled.display();   // read it and send it out Serial (USB)
  }
     // read it and send it out Serial (USB)
  }
  

